curl --request GET \
--url https://api.getoneprofile.ai/sequences/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/sequences/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/sequences/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/sequences/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/sequences/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/sequences/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/sequences/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sequences": [
{
"audience_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audience_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_mapping": {
"company_domain_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_deliverability_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_deliverability_results": [
"valid"
],
"linkedin_url_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"created_at": "2023-11-07T05:31:56Z",
"edges": [
{
"branch": "default",
"from_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"launched_at": "2023-11-07T05:31:56Z",
"multithreading": {},
"name": "<string>",
"opt_out_footer_text": "<string>",
"pause_reason": "<string>",
"sending_window": {},
"status": "draft",
"status_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_count": 123,
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "message",
"agent_prompt_key": "<string>",
"agent_subject": false,
"authoring": "written",
"body_segments": [
{
"kind": "text",
"builtin": "sender_first_name",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"required": true,
"text": ""
}
],
"condition_kind": "has_email",
"condition_window_days": 45,
"position": 0,
"prompt": "",
"reply_to_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requires_approval": false,
"subject_segments": [
{
"kind": "text",
"builtin": "sender_first_name",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"required": true,
"text": ""
}
],
"title": "<string>",
"wait_amount": 0,
"wait_unit": "days"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"bcc_addresses": [
"<string>"
],
"cc_addresses": [
"<string>"
],
"connection_requests_sent": 123,
"connections_accepted": 123,
"contacts_added": 123,
"contacts_failed": 123,
"contacts_finished": 123,
"contacts_in_progress": 123,
"contacts_not_started": 123,
"continuous_enrolment": false,
"email_approval_mode": "<string>",
"emails_sent": 123,
"hold": {
"contacts": 123,
"reason": "linkedin_verify_account",
"long_offline": false,
"sender_name": "<string>",
"until": "2023-11-07T05:31:56Z",
"window_open": true
},
"last_synced_at": "2023-11-07T05:31:56Z",
"linkedin_approval_mode": "<string>",
"linkedin_check_max_seconds": 123,
"linkedin_check_min_seconds": 123,
"linkedin_messages_sent": 123,
"opportunity_values": {},
"outbound_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plain_text_only": true,
"positive": 123,
"positive_rate": 123,
"replies": 123,
"reply_rate": 123,
"sender_profile_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sender_profile_names": [
"<string>"
],
"senders_ready": true,
"sending_priority": "new_contacts",
"sending_window_problem": {
"field": [
"<string>"
],
"message": "<string>"
},
"spending_limit_tenths": 123
}
],
"stats_refreshed_at": "2023-11-07T05:31:56Z",
"stats_refreshing": true
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}List sequences
Name, status, senders, and the rollup metrics (contacts, sent, reply rate) from the workspace’s cached stats, served at once whatever their age. When they are more than five minutes old a refresh runs in the background and stats_refreshing is true: read the list again a few seconds later for the newer numbers. Only a workspace whose stats have never been built waits for them. stats_refreshed_at is when the numbers were computed; None only when they have never been built and could not be built on this request (for example, another request was building them). What holds a running sequence (hold, such as the tasks waiting for approval) is read live on every request, never from the cached stats, unless include_holds is false.
curl --request GET \
--url https://api.getoneprofile.ai/sequences/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/sequences/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/sequences/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/sequences/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/sequences/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/sequences/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/sequences/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sequences": [
{
"audience_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audience_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_mapping": {
"company_domain_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_deliverability_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_deliverability_results": [
"valid"
],
"linkedin_url_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"created_at": "2023-11-07T05:31:56Z",
"edges": [
{
"branch": "default",
"from_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"launched_at": "2023-11-07T05:31:56Z",
"multithreading": {},
"name": "<string>",
"opt_out_footer_text": "<string>",
"pause_reason": "<string>",
"sending_window": {},
"status": "draft",
"status_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_count": 123,
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "message",
"agent_prompt_key": "<string>",
"agent_subject": false,
"authoring": "written",
"body_segments": [
{
"kind": "text",
"builtin": "sender_first_name",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"required": true,
"text": ""
}
],
"condition_kind": "has_email",
"condition_window_days": 45,
"position": 0,
"prompt": "",
"reply_to_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requires_approval": false,
"subject_segments": [
{
"kind": "text",
"builtin": "sender_first_name",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
"<string>"
],
"required": true,
"text": ""
}
],
"title": "<string>",
"wait_amount": 0,
"wait_unit": "days"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"bcc_addresses": [
"<string>"
],
"cc_addresses": [
"<string>"
],
"connection_requests_sent": 123,
"connections_accepted": 123,
"contacts_added": 123,
"contacts_failed": 123,
"contacts_finished": 123,
"contacts_in_progress": 123,
"contacts_not_started": 123,
"continuous_enrolment": false,
"email_approval_mode": "<string>",
"emails_sent": 123,
"hold": {
"contacts": 123,
"reason": "linkedin_verify_account",
"long_offline": false,
"sender_name": "<string>",
"until": "2023-11-07T05:31:56Z",
"window_open": true
},
"last_synced_at": "2023-11-07T05:31:56Z",
"linkedin_approval_mode": "<string>",
"linkedin_check_max_seconds": 123,
"linkedin_check_min_seconds": 123,
"linkedin_messages_sent": 123,
"opportunity_values": {},
"outbound_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plain_text_only": true,
"positive": 123,
"positive_rate": 123,
"replies": 123,
"reply_rate": 123,
"sender_profile_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sender_profile_names": [
"<string>"
],
"senders_ready": true,
"sending_priority": "new_contacts",
"sending_window_problem": {
"field": [
"<string>"
],
"message": "<string>"
},
"spending_limit_tenths": 123
}
],
"stats_refreshed_at": "2023-11-07T05:31:56Z",
"stats_refreshing": true
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Query Parameters
255Read what holds each running sequence. False leaves every hold empty and answers much faster: for a caller that needs only the sequences themselves, such as a picker.
Response
Successful Response
The list rows plus when their rollup metrics were last computed.
Show child attributes
Show child attributes
When the list's stats were computed. Stats of any age are served at once. None only when they have never been built and could not be built on this request (for example, another request was building them).
True when the stats were more than five minutes old and a refresh is running in the background. Read the list again a few seconds later for newer numbers and a newer stats_refreshed_at.
Was this page helpful?